# Updating an existing Skill Membership

This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /skill_memberships/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - References the user who has created the skill association.
- skill (Skill) - References the skill assigned to the object.
- user (User) - References the user who has been assigned the skill.

## Request fields (application/json):

  - `skill_membership` (object)

  - `skill_membership.level` (integer)
    The user's proficiency level in the skill (1-5). This defaults to 0 if it is not specified.
Note: Not all skills have levels.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `skill_memberships` (object)

  - `skills` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


